<html>
<head>
 <meta charset="utf-8">
 <link rel="icon" href="/res/favicon.ico">
</head>

<img src="<%=path%>" style="max-height:700px; max-width:700px"/>

<p>Explore image (use CRTL+mouse or with CTRL++ to zoom, clic to zoom more, right clic to download)</p>
<ul>
  <% for (let o of others) { %>
  <li><a href="/reflection/<%=o.name%>"><%= o.name %></a></li>
  <% } %>
</ul>

<div id="passphrase">
  <input type="text" >
  <div id="b">button</div>
</div>
<script type="text/javascript">


async function saveReflection(event) {

  const passphrase = document.querySelector('#passphrase')
  const passphraseInput = document.querySelector('#passphrase > input').value
  const others = '<%-JSON.stringify(others)%>'
  const size = '<%-JSON.stringify(size)%>'

  const data = JSON.parse(`{
    "passphrase": "${passphraseInput}",
    "others": ${others},
    "size": ${size}
  }`)

  response = await fetch('/reflection/<%=size.name%>/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    body: JSON.stringify(data),
  })

  json = await response.json()

  passphrase.innerHTML = json.passphrase

}

document.querySelector('#b').addEventListener('click', saveReflection)

</script>
</html>
